Sistema Riego - 9Nov/GenericApp_web/Generic_appWeb/Models/Tipo_area.cs
using System;

namespace Generic_appWeb.Models
{
    public class Tipo_area
    {
        
        public int TAre_id { get; set; }
        public string TAre_codigo_empresa { get; set; }
        public string TAre_codigo_alterno { get; set; }
        public string TAre_descripcion_larga { get; set; }
        public string TAre_descripcion_med { get; set; }
        public string TAre_descripcion_corta { get; set; }
        public string TAre_abreviacion { get; set; }
        public string TAre_observacion { get; set; }
        public DateTime TAre_fecha_creacion { get; set; }
        public DateTime TAre_fecha_modificacion { get; set; }
        public Usuario TAre_usuario_creacion { get; set; }
        public Usuario TAre_usuario_modificacion { get; set; }
        public char TAre_estado { get; set; }
        public int TAre_secuencia { get; set; }
        public Categoria_area Categoria_area { get; set; }
        public Hacienda Hacienda { get; set; }

    }
}

Sistema Riego - 9Nov/GenericApp_web/Generic_appWeb/Controllers/Tipo_areaController.cs
using Generic_appWeb.Models;
using Generic_appWeb.Repository;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Configuration;
using System;

namespace Generic_appWeb.Controllers
{
    public class Tipo_areaController : Controller
    {

        private readonly Categoria_areaRepository _categorias_areas;
        //private readonly EstadosRepository _estadosRepository;
        private readonly Tipo_areaRepository _tipos_areasRepository;
        public readonly EntidadRepository _entidadRepository;

        public Tipo_areaController(IConfiguration configuration)
        {
            _categorias_areas = new Categoria_areaRepository(configuration);
             //_estadosRepository = new EstadosRepository(configuration);
            _tipos_areasRepository = new Tipo_areaRepository(configuration);
            _entidadRepository = new EntidadRepository(configuration);
        }


        public IActionResult Index()
        {

            return View(_tipos_areasRepository.FindAll());
        }

        public IActionResult Create()
        {
            ViewBag.categorias_areasList = _categorias_areas.FindAll();
            //ViewBag.estadosList = _estadosRepository.FindAllDisponibilidad();
            ViewBag.fecha_creacion = DateTime.Now.ToString("dd/MM/yyyy HH:MM:ss");
            //ViewBag.entidadesList = _entidadesRepository.FindAll2();

            return View();
        }

        // POST: Customer/Create
        [HttpPost]
        public IActionResult Create(Tipo_area obj)
        {
            
            _tipos_areasRepository.Add(obj);
           
            return RedirectToAction("Index");
        }

        // GET: /Customer/Edit/1
        public IActionResult Edit(int? id)
        {
            try
            {
                if (id == null)
                {
                    return NotFound();
                }

                ViewBag.categorias_areasList = _categorias_areas.FindAll();
                //ViewBag.estadosList = _estadosRepository.FindAllDisponibilidad();
                ViewBag.fecha_modificacion = DateTime.Now.ToString("dd/MM/yyyy HH:MM:ss");
                //ViewBag.entidadesList = _entidadesRepository.FindAll2();
                Tipo_area obj = _tipos_areasRepository.FindByID(id.Value);

                if (obj.TAre_id == 0)
                {
                    return NotFound();
                }
                return View(obj);
            }
            catch (Exception e)
            {

                throw;
            }
        }

        // POST: /Customer/Edit   
        [HttpPost]
        public IActionResult Edit(Tipo_area obj)
        {
            try
            {
                _tipos_areasRepository.Update(obj);
                return RedirectToAction("Index");
            }
            catch (Exception e)
            {
                return View(obj);
            }
        }

        // GET:/Customer/Delete/1
        public IActionResult Delete(int? id)
        {

            if (id == null)
            {
                return NotFound();
            }
            _tipos_areasRepository.Remove(id.Value);
            return RedirectToAction("Index");
        }


        // comobo box obtener tipos por categoria
        public JsonResult Getcmb_tipobycategoria_area(int CAre_id)
        {

            var list = _tipos_areasRepository.Getcmb_tipobycategoria_area(CAre_id);
            return Json(list);
        }


    }
}

Sistema Riego - 9Nov/GenericApp_web/Generic_appWeb/Views/Tipo_area/Create.cshtml
@{ ViewData["Title"] = "Tipo area";
    ViewData["Titulo_lugar"] = "Ingresar Tipo area";
    ViewData["Lugar"] = "Tipo area";


    Layout = "_create"; }







@model Generic_appWeb.Models.Tipo_area


<form asp-action="Create">

    <div class="card card-default ">

        <div class="card-header">
            <h3 class="card-title">Color</h3>
        </div>

        <div class="card-body ">


            <div class="form-group ">
                <label asp-for="Hacienda.Hac_id" class="col-md-4 control-label" style="float:left"> Icono </label>

                <select asp-for="Hacienda.Hac_id" asp-items="@(new SelectList(ViewBag.haciendaList,"Hac_id", "Hac_descripcion_med"))" class="form-control col-md-6 select2"><option>Seleccione</option></select>


                <span asp-validation-for="Hacienda.Hac_descripcion_med" class="text-danger" />

            </div>



        </div>
    </div>



    <div class="card card-default ">

        <div class="card-header">
            <h3 class="card-title">Icono</h3>
        </div>

        <div class="card-body ">


            <div class="form-group ">
                <label asp-for="Categoria_area.CAre_id" class="col-md-4 control-label" style="float:left"> Icono </label>

                <select asp-for="Categoria_area.CAre_id" asp-items="@(new SelectList(ViewBag.categoria_areaList,"CAre_id", "CAre_descripcion_med"))" class="form-control col-md-6 select2"><option>Seleccione</option></select>


                <span asp-validation-for="Categoria_area.CAre_id" class="text-danger" />

            </div>



        </div>
    </div>








    <div class="card card-default ">

        <div class="card-header">
            <h3 class="card-title">Codigo</h3>
        </div>

        <div class="card-body">


            <div class="form-group ">
                <label asp-for="TAre_codigo_empresa" class="col-md-4 control-label" style="float:left"> Empresa </label>
                <input asp-for="TAre_codigo_empresa" class="form-control col-md-6" />
                <span asp-validation-for="TAre_codigo_empresa" class="text-danger" />

            </div>

            <div class="form-group ">
                <label asp-for="TAre_codigo_alterno" class="col-md-4 control-label" style="float:left"> Alterno </label>
                <input asp-for="TAre_codigo_alterno" class="form-control col-md-6" type="text" />
                <span asp-validation-for="TAre_codigo_alterno" class="text-danger" />

            </div>


        </div>
    </div>


    <br />


    <div class="card card-default ">

        <div class="card-header">
            <h3 class="card-title">Descripciones</h3>
        </div>

        <div class="card-body">


            <div class="form-group">
                <label asp-for="TAre_descripcion_larga" class="col-md-4 control-label" style="float:left"> Larga</label>
                <input asp-for="TAre_descripcion_larga" class="form-control col-md-6" />
                <span asp-validation-for="TAre_descripcion_larga" class="text-danger" />

            </div>

            <div class="form-group">
                <label asp-for="TAre_descripcion_med" class="col-md-4 control-label" style="float:left"> Media</label>
                <input asp-for="TAre_descripcion_med" class="form-control col-md-6" />
                <span asp-validation-for="TAre_descripcion_med" class="text-danger" />

            </div>

            <div class="form-group">
                <label asp-for="TAre_descripcion_corta" class="col-md-4 control-label" style="float:left"> Corta</label>
                <input asp-for="TAre_descripcion_corta" class="form-control col-md-6" />
                <span asp-validation-for="TAre_descripcion_corta" class="text-danger" />
            </div>

            <div class="form-group">
                <label asp-for="TAre_abreviacion" class="col-md-4 control-label" style="float:left"> Abreviacion</label>

                <input asp-for="TAre_abreviacion" class="form-control col-md-6" />
                <span asp-validation-for="TAre_abreviacion" class="text-danger" />

            </div>

            <div class="form-group">
                <label asp-for="TAre_observacion" class="col-md-4 control-label" style="float:left"> Observacion</label>

                <input asp-for="TAre_observacion" class="form-control col-md-6" />
                <span asp-validation-for="TAre_observacion" class="text-danger" />
            </div>


        </div>

    </div>


    <br />


    <div class="card card-default">

        <div class="card-header">
            <h3 class="card-title">Fechas</h3>
        </div>

        <div class="card-body">


            <div class="form-group">

                <label asp-for="TAre_fecha_creacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  Creacion</label>
                <input name="TAre_fecha_creacion" id="TAre_fecha_creacion" class="form-control col-xl-6" value="@ViewBag.fecha_creacion" readonly>
                <span asp-validation-for="TAre_fecha_creacion" class="text-danger" />

            </div>

            <div class="form-group">

                <label asp-for="TAre_fecha_modificacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  Modificacion</label>
                <input name="TAre_fecha_modificacion" id="TAre_fecha_modificacion" class="form-control col-xl-6" value="@ViewBag.fecha_creacion" readonly>
                <span asp-validation-for="TAre_fecha_modificacion" class="text-danger" />

            </div>


        </div>

    </div>



    <br />


    <div class="card card-default">

        <div class="card-header">
            <h3 class="card-title">Usuario</h3>
        </div>

        <div class="card-body">

            <div class="form-group">

                <label asp-for="TAre_usuario_creacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  Creacion</label>
                <input asp-for="TAre_usuario_creacion" class="form-control col-xl-6" readonly />
                <span asp-validation-for="TAre_usuario_creacion" class="text-danger" />

            </div>

            <div class="form-group">

                <label asp-for="TAre_usuario_modificacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  Modificacion</label>
                <input asp-for="TAre_usuario_modificacion" class="form-control col-xl-6" readonly value=" " />
                <span asp-validation-for="TAre_usuario_modificacion" class="text-danger" />

            </div>

        </div>


    </div>


    <br />



    <div class="card card-default">

        <div class="card-header">
            <h3 class="card-title">Secuencia</h3>
        </div>

        <div class="card-body">


            <div class="form-group">
                <label asp-for="TAre_secuencia" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  Secuencia</label>
                <!--<label asp-for="GCul_secuencia" class="col-md-4 control-label" style="float:left">  Secuencia </label>-->
                <input asp-for="TAre_secuencia" class="form-control col-md-6" />
                <span asp-validation-for="TAre_secuencia" class="text-danger" />

            </div>

        </div>

    </div>


    <br />


    <div style="float:right" class="col-md-12">

        <div class="form-group">

            <div class="float-right">

                <button type="button" class="btn btn-outline-secondary " onclick="location.href='@Url.Action("Index", "Tipo_area")'">Volver</button>
                <button type="submit" class="btn btn-primary ">Guardar</button>

            </div>

        </div>

    </div>


</form>

Sistema Riego - 9Nov/GenericApp_web/Generic_appWeb/Views/Tipo_area/Edit.cshtml
@model Generic_appWeb.Models.Tipo_area




<form asp-controller="Tipo_area" asp-action="Edit" method="post" role="form">
    <div class="card card-success">
        <div class="card-header">
            <section class="content-header">
                <h3>EDITAR TIPOS AREA</h3>
            </section>

        </div>
        <div class="card-body">

            <div style="float:left" class="col-xl-12  ">
                @Html.Hidden("TAre_id")


                <fieldset class="col-xl-6 col-md-6 col-lg-6">

                    <div class="form-group">
                        <label asp-for="Hacienda.Hac_id" class="col-md-4 control-label" style="float:left">PROPIETARIO</label>

                        <select asp-for="Hacienda.Hac_id" asp-items="@(new SelectList(ViewBag.HaciendaList,"Hac_id", "Hac_descripcion_corta"))" class="form-control col-md-6 select2"><option>Seleccione</option></select>
                        <span asp-validation-for="Hacienda.Hac_id" class="text-danger" />
                    </div>

                </fieldset>
                <br />
                <br />


                <fieldset class="col-xl-6 col-md-6 col-lg-6">

                    <div class="form-group">
                        <label asp-for="Categoria_area.CAre_id" class="col-md-4 control-label" style="float:left"> CATEGORIA  </label>

                        <select asp-for="Categoria_area.CAre_id" asp-items="@(new SelectList(ViewBag.Categoria_areaList,"CAre_id", "CAre_descripcion_corta"))" class="form-control col-md-6 select2"><option>Seleccione</option></select>
                        <span asp-validation-for="Categoria_area.CAre_id" class="text-danger" />

                    </div>

                </fieldset>
                <br />
                <br />


                <fieldset class="col-xl-6 col-md-6 col-lg-6">
                    <legend class="scheduler-border">CODIGOS</legend>
                    <div class="form-group">
                        <label asp-for="TAre_codigo_empresa" class="col-md-4 control-label" style="float:left">  EMPRESA </label>

                        <input asp-for="TAre_codigo_empresa" class="form-control col-md-6" />
                        <span asp-validation-for="TAre_codigo_empresa" class="text-danger" />

                    </div>
                    <div class="form-group">
                        <label asp-for="TAre_codigo_alterno" class="col-md-4 control-label" style="float:left">  ALTERNO </label>

                        <input asp-for="TAre_codigo_alterno" class="form-control col-md-6" />
                        <span asp-validation-for="TAre_codigo_alterno" class="text-danger" />

                    </div>

                </fieldset>
                <br />
                <br />


                <fieldset class="col-xl-6 col-md-6 col-lg-6">
                    <legend class="scheduler-border">DESCRIPCIONES</legend>
                    <div class="form-group">
                        <label asp-for="TAre_descripcion_larga" class="col-md-4 control-label" style="float:left">  LARGA </label>

                        <input asp-for="TAre_descripcion_larga" class="form-control col-md-6" />
                        <span asp-validation-for="TAre_descripcion_larga" class="text-danger" />

                    </div>
                    <div class="form-group">
                        <label asp-for="TAre_descripcion_med" class="col-md-4 control-label" style="float:left">  MEDIA </label>

                        <input asp-for="TAre_descripcion_med" class="form-control col-md-6" />
                        <span asp-validation-for="TAre_descripcion_med" class="text-danger" />

                    </div>

                    <div class="form-group">
                        <label asp-for="TAre_descripcion_corta" class="col-md-4 control-label" style="float:left">  CORTA </label>

                        <input asp-for="TAre_descripcion_corta" class="form-control col-md-6" />
                        <span asp-validation-for="TAre_descripcion_corta" class="text-danger" />

                    </div>

                    <div class="form-group">
                        <label asp-for="TAre_abreviacion" class="col-md-4 control-label" style="float:left"> ABREVIACION </label>

                        <input asp-for="TAre_abreviacion" class="form-control col-md-6" />
                        <span asp-validation-for="TAre_abreviacion" class="text-danger" />

                    </div>

                    <div class="form-group">
                        <label asp-for="TAre_observacion" class="col-md-4 control-label" style="float:left"> OBSERVACION </label>

                        <input asp-for="TAre_observacion" class="form-control col-md-6" />
                        <span asp-validation-for="TAre_observacion" class="text-danger" />

                    </div>

                </fieldset>
                <br />
                <br />



                <fieldset class="col-xl-6 col-md-6 col-lg-6">
                    <legend class="scheduler-border">FECHAS</legend>
                    <div class="form-group">
                        <label asp-for="TAre_fecha_creacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  CREACION</label>
                        <input asp-for="TAre_fecha_creacion" class="form-control col-xl-6" readonly />

                        <span asp-validation-for="TAre_fecha_creacion" class="text-danger" />

                    </div>

                    <div class="form-group">
                        <label asp-for="TAre_fecha_modificacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  MODIFICACION </label>
                        <input name="TAre_fecha_modificacion" id="TAre_fecha_modificacion" class="form-control col-xl-6" value="@ViewBag.fecha_modificacion" readonly>

                        <span asp-validation-for="TAre_fecha_modificacion" class="text-danger" />

                    </div>
                </fieldset>
                <br />
                <br />
                <fieldset class="col-xl-6 col-md-6 col-lg-6">
                    <legend class="scheduler-border">USUARIOS</legend>
                    <div class="form-group">
                        <label asp-for="TAre_usuario_creacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  CREACION</label>
                        <input asp-for="TAre_usuario_creacion" class="form-control col-xl-6" readonly />

                        <span asp-validation-for="TAre_usuario_creacion" class="text-danger" />

                    </div>

                    <div class="form-group">
                        <label asp-for="TAre_usuario_modificacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  MODIFICACION</label>
                        <input asp-for="TAre_usuario_modificacion" class="form-control col-xl-6" readonly />

                        <span asp-validation-for="TAre_usuario_modificacion" class="text-danger" />

                    </div>


                    <div class="form-group">
                        <label asp-for="TAre_secuencia" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  SECUENCIA</label>
                        <input asp-for="TAre_secuencia" class="form-control col-xl-6" readonly />

                        <span asp-validation-for="TAre_secuencia" class="text-danger" />

                    </div>
                </fieldset>



                <br />
                <br />

             
            </div>

        </div>
        <div style="float:right" class="col-md-12">
            <div class="form-group">

                <div class="col-md-6">
                    <button type="button" class="btn btn-warning" onclick="location.href='@Url.Action("Index", "Tipo_area")'">Volver</button>
                    <button type="submit" class="btn btn-success">Guardar</button>
                </div>
            </div>
        </div>
    </div>

</form>

Sistema Riego - 9Nov/GenericApp_web/Generic_appWeb/Views/Tipo_area/Index.cshtml
@{
    ViewData["Nombre_tabla"] = "Tipo area";
    ViewData["sitio"] = "Tipo area";

    Layout = "_index"; }






@model IEnumerable<Generic_appWeb.Models.Tipo_area>

<div class="card-body">
    <table id="example1" class="table table-bordered table-striped ">

        @*<thead>

                <tr>

                    <th colspan="3" style="text-align:center">Codigo </th>
                    <th colspan="3" style="text-align:center">Descripcion</th>
                    <th colspan="2" style="text-align:center">Detalle</th>
                    <th colspan="2" style="text-align:center">Fecha</th>
                    <th colspan="2" style="text-align:center">Usuario</th>
                    <th colspan="4"></th>

                </tr>

            </thead>*@

        <thead class="filters">
            <tr>
                <th>Hacienda</th>
                <th>Categoria area</th>

                <th>Interno</th>
                <th>Empresa</th>
                <th>Alterno</th>

                <th>Larga</th>
                <th>Mediana</th>
                <th>Corta</th>

                <th>Abreviacion</th>
                <th>Observacion</th>

                <th>Creacion</th>
                <th>Modificacion</th>
                <th>Creacion</th>
                <th>Modificacion</th>
                <th>Secuencia</th>


                <th></th>
                <th></th>
            </tr>

        </thead>



        <tbody>


            @foreach (var item in Model)
            {
                <tr>
                    <td>
                        @Html.DisplayFor(modelItem => item.Hacienda.Hac_descripcion_med)
                    </td>

                    <td>
                        @Html.DisplayFor(modelItem => item.Categoria_area.CAre_descripcion_med)
                    </td>

                    <td>
                        @Html.DisplayFor(modelItem => item.TAre_id)
                    </td>

                    <td>
                        @Html.DisplayFor(modelItem => item.TAre_codigo_empresa)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.TAre_codigo_alterno)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.TAre_descripcion_larga)
                    </td>

                    <td>
                        @Html.DisplayFor(modelItem => item.TAre_descripcion_med)
                    </td>

                    <td>
                        @Html.DisplayFor(modelItem => item.TAre_descripcion_corta)
                    </td>

                    <td>
                        @Html.DisplayFor(modelItem => item.TAre_abreviacion)
                    </td>

                    <td>
                        @Html.DisplayFor(modelItem => item.TAre_observacion)
                    </td>



                    <td>
                        @Html.DisplayFor(modelItem => item.TAre_fecha_creacion)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.TAre_fecha_modificacion)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.TAre_usuario_creacion.Users_usuario_creacion)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.TAre_usuario_modificacion.Users_usuario_modificacion)
                    </td>


                    <td>
                        @Html.DisplayFor(modelItem => item.TAre_secuencia)
                    </td>


                    <td>
                        <a asp-action="Edit" asp-route-id="@item.TAre_id" asp-route-usu=" item.TAre_usuario_creacion" asp-route-usu1="@item.TAre_usuario_modificacion" class="btn btn-info">Editar</a>
                    </td>
                    <td>
                        <a asp-action="Delete" class="btn btn-danger" asp-route-id="@item.TAre_id" onclick="return confirm('Se eliminara el registro');">Eliminar</a>
                    </td>
                </tr>
            }

        </tbody>



    </table>

</div>






@section Scripts
    {










    <!-- DataTables -->
    <script src="~/AdminLTE-3.0.5/plugins/datatables/jquery.dataTables.min.js"></script>
    <script src="~/AdminLTE-3.0.5/plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
    <script src="~/AdminLTE-3.0.5/plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
    <script src="~/AdminLTE-3.0.5/plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>

    <script src="~/Js/Tipos_estados_index.js"></script>






    <script>
        $(function () {
            $("#example1").DataTable({
                "responsive": true,
                "autoWidth": false,
            });
            $('#example2').DataTable({
                "paging": true,
                "lengthChange": false,
                "searching": false,
                "ordering": true,
                "info": true,
                "autoWidth": false,
                "responsive": true,
            });
        });
    </script>




}